<?xml version="1.0" encoding="UTF-8" ?>
<!--$Id: testLogFile.xsl 7153 2014-10-01 11:22:49Z mduckeck $-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" >
    <xsl:output method="html"/>

	<xsl:template match="/">
		<html lang="en">
			<head>
				<meta http-equiv="content-type"
					content="text/html; charset=iso-8859-1" />
				<title><xsl:value-of select="TestReport/Name"/></title>
			</head>
			<style type="text/css" media="screen">
				body 
                { 
                    margin: 0; 
                    padding: 20px; 
                    font: 85% arial, sans-serif; 
                    text-align: left; 
                    color: #000000;
                    background-color: #F0F0F0; 
                } 
                #header table 
                { 
                    padding 5px 5x 5px 5px
                    background-color: #D6D6D6; 
                    border: 1px solid #000000;
                }
                #header td.StateNok
                {
                    background-color: #F00000; 
                }
                #header td.StateOk
                {
                    background-color: #27C527; 
                }
                #testCase table 
                { 
                    background-color: #D6D6D6; 
                    border: 1px solid #000000;
                }
                #testCase .name 
                { 
                    padding-left: 0px; 
                    padding-top: 5px; 
                    padding-bottom:	5px; 
                    padding-right: 10px; 
                    background-color: #F0F0F0; 
                    border: 0px; 
                }
                #testCase .nameInterrupted 
                { 
                    padding-left: 0px; 
                    padding-top: 5px; 
                    padding-bottom:	5px; 
                    padding-right: 10px; 
                    background-color: #FF0000; 
                    border: 0px; 
                }
                #testCase td 
                { 
                    padding: 2px 5px 2px 5px; 
                    font: 100% arial; 
                    background-color: #D6D6D6; 
                    border: 1px solid #000000; 
                }
                #testCase td.monospace
                {
					font-family: monospace;
					white-space:pre;
                }
                #testCase td.StateOk
                {
                    background-color: #27C527; 
                }
                #testCase td.StateInfo
                {
                    background-color: #D6D6D6; 
                }
                #testCase td.StateNok
                {
                    background-color: #F00000; 
                }
				#description 
                { 
                    margin: 0; 
                    padding-left: 0px; 
                    padding-top: 15px; 
                    padding-bottom:	15px; 
                    padding-right: 10px; 
                    font: 100% arial; 
                    text-align: left; 
                    color: #000000;
                    background-color: #F0F0F0; 
                } 
                #faildLinks table 
                { 
                    background-color: #D6D6D6; 
                    border: 1px solid #000000;
                }
                #faildLinks .name 
                { 
                    padding-left: 0px; 
                    padding-top: 5px; 
                    padding-bottom:	5px; 
                    padding-right: 10px; 
                    background-color: #F0F0F0; 
                    border: 0px; 
                }
                #faildLinks td 
                { 
                    padding: 2px 5px 2px 5px; 
                    font: 100% arial; 
                    background-color: #D6D6D6; 
                    border: 1px solid #000000; 
                }
			</style>
			<body>
                <div id="header">
                    <h1>Test Report</h1>
                    <xsl:variable name="TestsTotal" select="count (TestReport/Tests/Test)" />
                    <xsl:variable name="TestsFailed" select="count (TestReport/Tests/Test[Lines/Line/State='enSTE_NOK'])" />
                    <xsl:variable name="TestsSuccess" select="$TestsTotal - $TestsFailed" />
                    <xsl:variable name="TestsInterrupted" select="count (TestReport/Tests/Test[Finished='False'])" />
                    <table>
                        <tr>
                            <td>StartTime:</td>
                            <td><xsl:value-of select="TestReport/StartTime"/></td>
                        </tr>
                        <tr>
                            <td>EndTime:</td>
                            <td><xsl:value-of select="TestReport/EndTime"/></td>
                        </tr>
                        <tr>
                            <td>Number of total Tests:</td>
                            <td><xsl:value-of select="$TestsTotal"/></td>
                        </tr>
                        <tr>
                            <td>Number of successfull Tests:</td>
                            <xsl:choose>
                                <xsl:when test="$TestsSuccess = '0'">
                                    <td><xsl:value-of select="$TestsSuccess"/></td>
                                </xsl:when>
                                <xsl:otherwise>
                                    <td class="StateOk"><xsl:value-of select="$TestsSuccess"/></td>
                                </xsl:otherwise>
                            </xsl:choose>
                        </tr>
                        <tr>
                            <td>Number of failed Tests:</td>
                            <xsl:choose>
                                <xsl:when test="$TestsFailed = '0'">
                                    <td><xsl:value-of select="$TestsFailed"/></td>
                                </xsl:when>
                                <xsl:otherwise>
                                    <td class="StateNok"><xsl:value-of select="$TestsFailed"/></td>
                                </xsl:otherwise>
                            </xsl:choose>
                        </tr>
                        <tr>
                            <td>Number of interrupted Tests:</td>
                            <xsl:choose>
                                <xsl:when test="$TestsInterrupted = '0'">
                                    <td><xsl:value-of select="$TestsInterrupted"/></td>
                                </xsl:when>
                                <xsl:otherwise>
                                    <td class="StateNok"><xsl:value-of select="$TestsInterrupted"/></td>
                                </xsl:otherwise>
                            </xsl:choose>
                        </tr>
                    </table>
                </div>
                <div id="faildLinks">
                    <h3><a name="Home">Links to Failed or Interrupted Tests</a></h3>
                    <table>
						<xsl:for-each select="TestReport/Tests/Test[Lines/Line/State='enSTE_NOK' or Finished='False']">
							<tr>
								<xsl:variable name="V1" select="@Number" />
								<td><a href="#{$V1}"><xsl:value-of select="@Number"/></a></td>
								<td><a href="#{$V1}"><xsl:value-of select="Name"/></a></td>
							</tr>
						</xsl:for-each>
                    </table>
                </div>
                <div id="testCase">
                    <xsl:for-each select="TestReport/Tests/Test">
                        <xsl:variable name="V1" select="@Number" />
                        <h3><a name="{$V1}"><xsl:value-of select="Name"/></a></h3>
                        <table class="name">
                            <tr>
                                <td class="name"><a href="#Home">Top</a></td>
								<xsl:choose>
									<xsl:when test="Finished = 'False'">
										<td class="nameInterrupted"><b><xsl:value-of select="@Number"/></b></td>
										<td class="nameInterrupted"><xsl:value-of select="Name"/></td>
									</xsl:when>
									<xsl:otherwise>
										<td class="name"><b><xsl:value-of select="@Number"/></b></td>
										<td class="name"><xsl:value-of select="Name"/></td>
									</xsl:otherwise>
								</xsl:choose>
                            </tr>
                        </table>                
                        <div id="description"><xsl:value-of select="Description"/></div>
                        <table>
                            <xsl:for-each select="Lines/Line">
                                <tr>
                                    <td><xsl:value-of select="Time"/></td>
                                    <xsl:choose>
    									<xsl:when test="State = 'enSTE_COM'">
											<td class="monospace"><xsl:value-of select="Text"/></td>
    									</xsl:when>
                                        <xsl:otherwise>
											<td><xsl:value-of select="Text"/></td>
                                        </xsl:otherwise>
    								</xsl:choose>
                                    <xsl:choose>
    									<xsl:when test="State = 'enSTE_OK'">
    										<td class="StateOk"><xsl:value-of select="State"/></td>
    									</xsl:when>
    									<xsl:when test="State = 'enSTE_INFO'">
    										<td class="StateInfo"><xsl:value-of select="State"/></td>
    									</xsl:when>
    									<xsl:when test="State = 'enSTE_COM'">
    										<td class="StateInfo"><xsl:value-of select="State"/></td>
    									</xsl:when>
                                        <xsl:otherwise>
    										<td class="StateNok"><xsl:value-of select="State"/></td>
                                        </xsl:otherwise>
    								</xsl:choose>
                                </tr>
                            </xsl:for-each>
                        </table>
                    </xsl:for-each>
                </div>
 			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>