/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "EtherNet/IP™ Adapter", "index.html", [
    [ "Introduction", "index.html", null ],
    [ "Datasheet", "ethernetip_datasheet.html", null ],
    [ "Release Notes", "releasenotes.html", [
      [ "Overview", "releasenotes.html#releasenotesoverview", null ],
      [ "Licensing", "releasenotes.html#releasenoteslicensing", [
        [ "KUNBUS License", "releasenotes.html#releasenotes_kunbuslicensing", null ],
        [ "Public Licensed Packages", "releasenotes.html#releasenotes_opensource_license", null ]
      ] ],
      [ "Known Issues", "releasenotes.html#known_issues", null ],
      [ "Release Version 1.04.00", "releasenotes.html#version_release10400", [
        [ "New Features", "releasenotes.html#new_features_release10400", null ],
        [ "Fixed Issues", "releasenotes.html#fixed_issues_release10400", null ]
      ] ],
      [ "Release Version 1.03.04", "releasenotes.html#version_release10304", [
        [ "New Features", "releasenotes.html#new_features_release10304", null ],
        [ "Fixed Issues", "releasenotes.html#fixed_issues_release10304", null ]
      ] ],
      [ "Release Version 1.03.03", "releasenotes.html#version_release10303", [
        [ "New Features", "releasenotes.html#new_features_release10303", null ],
        [ "Fixed Issues", "releasenotes.html#fixed_issues_release10303", null ]
      ] ],
      [ "Release Version 1.03.02", "releasenotes.html#version_release10302", [
        [ "New Features", "releasenotes.html#new_features_release10302", null ],
        [ "Fixed Issues", "releasenotes.html#fixed_issues_release10302", null ]
      ] ],
      [ "Release Version 1.03.01", "releasenotes.html#version_release10301", [
        [ "New Features", "releasenotes.html#new_features_release10301", null ],
        [ "Fixed Issues", "releasenotes.html#fixed_issues_release10301", null ]
      ] ],
      [ "Release Version 1.03.00", "releasenotes.html#version_release10300", [
        [ "New Features", "releasenotes.html#new_features_release10300", null ],
        [ "Fixed Issues", "releasenotes.html#fixed_issues_release10300", null ]
      ] ],
      [ "Release Version 1.02.01", "releasenotes.html#version_release10201", [
        [ "Description", "releasenotes.html#description_release10201", null ],
        [ "New Features", "releasenotes.html#new_features_release10201", null ],
        [ "Fixed Issues", "releasenotes.html#fixed_issues_release10201", null ]
      ] ],
      [ "Release Version 1.02.00", "releasenotes.html#version_release10200", [
        [ "New Features", "releasenotes.html#new_features_release10200", null ]
      ] ],
      [ "Release Version 1.01.03", "releasenotes.html#version_release10103", [
        [ "New Features", "releasenotes.html#new_features_release10103", null ]
      ] ],
      [ "Release Version 1.01.02", "releasenotes.html#version_release10102", [
        [ "Description", "releasenotes.html#description_release10102", null ],
        [ "New Features", "releasenotes.html#new_features_release10102", null ]
      ] ],
      [ "Release Version 1.01.01", "releasenotes.html#version_release10101", [
        [ "New Features", "releasenotes.html#new_features_release10101", null ]
      ] ],
      [ "Release Version 1.01.00", "releasenotes.html#version_release10100", [
        [ "Description", "releasenotes.html#description_release10100", null ],
        [ "New Features", "releasenotes.html#new_features_release10100", null ],
        [ "Limitations", "releasenotes.html#limitation_release10100", null ]
      ] ]
    ] ],
    [ "General Information", "generalinformation.html", [
      [ "Disclaimer", "disclaimer.html", null ],
      [ "Target Audience", "targetaudience.html", null ],
      [ "Delivery Content", "deliverycontent.html", null ],
      [ "Customer Service", "customerservice.html", null ]
    ] ],
    [ "Quickstart - EtherNetIP Adapter", "page_quickstart.html", [
      [ "Setup", "page_quickstart_installation.html", [
        [ "Software Installation", "page_quickstart_installation.html#qs_installation_software", null ],
        [ "Connect the Evaluation Board", "page_quickstart_installation.html#qs_installation_connect", null ]
      ] ],
      [ "Running the EtherNet/IP Adapter Example", "page_quickstart_example.html", null ],
      [ "Dissecting the EtherNet/IP Adapter Example", "page_quickstart_example_app.html", null ],
      [ "PLC Projects for the EtherNet/IP Adapter Example", "page_quickstart_example_plc.html", [
        [ "CODESYS Runtime on a Texas Instruments AM64x Sitara Processor", "codesys_a_r_m64_example.html", null ],
        [ "CODESYS Runtime on a KUNBUS RevPI Controller", "codesys_rev_pi_example.html", null ],
        [ "Allen-Bradley CompactLogix Controller", "rslogix_example.html", null ]
      ] ]
    ] ],
    [ "API Reference", "modules.html", "modules" ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Variables", "functions_vars.html", null ]
      ] ]
    ] ],
    [ "Related Information", "usergroup0.html", [
      [ "KUNBUS GmbH", "^http://www.kunbus.com", null ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"group___e_i___a_p_i___c_i_p___e_r_r_o_r___c_o_d_e_s_ga02294b9fe8c2e4bfb42848eb393dafc0.html#gga02294b9fe8c2e4bfb42848eb393dafc0a9626489d7c07b7cc1bab14ebd4cd877d"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';